    $(function () {
        $(".container-item img").hover(function () {
            var bigUrl = $(this).attr("bigUrl");
            $(this).parents(".container-item").append("<div id='pic'><img src='" + bigUrl + "' id='pic1'></div>");
            $(".container-item img").mousemove(function (e) {
                var wH = document.documentElement.clientHeight;
                var wW = document.documentElement.clientWidth;
                var imgW = $("#pic1").width();
                var imgH = $("#pic1").height();
                var cssArr = { "top": "", "left": "", "bottom": "", "right": "" };

                if (e.clientX + imgW > wW) {
                    if (wW - e.clientX < imgW) {
                        cssArr.left = (e.clientX - imgW - 10) + "px";
                    } else {
                        cssArr.right = 0;
                    }
                } else {
                    cssArr.left = (e.clientX + 10) + "px";
                }

                if (e.clientY + imgH > wH) {
                    cssArr.bottom = 0;
                } else {
                    cssArr.top = (e.clientY + 10) + "px";
                }
                console.log($("#pic1").height(), wH);
                console.log(cssArr);
                $("#pic").css(cssArr).fadeIn("fast");
            });
            $('.gzshow').css('overflow', '');
        }, function () {
            $("#pic").remove();
        });
    });